<?php

namespace App\Classes\Modules\Accounts\Standards\Rules;

use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\Accounts\DataTransferObjects\UserObject;

class CanDeleteUser extends AbstractRule
{
    /**
     * @return bool
     */
    protected function authorized(): bool
    {
        // TODO  Set Authorization rules
        return true;

    }

    /**
     * @param UserObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }


    /**
     * @param UserObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}